Name:           perl-Excel-Template-Plus
Version:        0.06
Release:        3%{?dist}
Summary:        Extension to the Excel::Template module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Excel-Template-Plus/
Source0:        http://www.cpan.org/modules/by-module/Excel/Excel-Template-Plus-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Excel::Template)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Moose) >= 0.18
BuildRequires:  perl(MooseX::Param) >= 0.01
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(warnings)
Requires:       perl(Moose) >= 0.18
Requires:       perl(MooseX::Param) >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Moose\\)$
%global __requires_exclude %__requires_exclude|^perl\\(MooseX::Param\\)$

%description
This module is an extension of the Excel::Template module, which allows
the user to use various "engines" from which you can create Excel files
through Excel::Template.
The idea is to use the existing (and very solid) excel file generation
code in Excel::Template, but to extend its more templatey bits with more
powerful options.
The only engine currently provided is the Template Toolkit engine, which
replaces Excel::Template's built in template features (the LOOP, and IF
constructs) with the full power of TT. This is similar to the module
Excel::Template::TT, but expands on that even further to try and create
a more extensive system.

%prep
%setup -q -n Excel-Template-Plus-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 02 2015 Sven Nierlein <sven.nierlein@consol.de> 0.06-1
- new upstream release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 19 2014 Sven Nierlein <sven.nierlein@consol.de> 0.05-4
- updated build requires / requires

* Tue May 20 2014 Sven Nierlein <sven.nierlein@consol.de> 0.05-3
- added perl build requires / requires according to cpanspec
- added perl compat requires

* Sun Apr 06 2014 Sven Nierlein <sven.nierlein@consol.de> 0.05-2
- added perl build requires
- added Changes and README
- use DESTDIR as install target folder
- removed unnecessary build steps

* Sun Mar 23 2014 Sven Nierlein <sven.nierlein@consol.de> 0.05-1
- Specfile created
